# usage:
#   docker-compose -f docker-compose.yml -f docker-compose-devel.yml run pki
#   docker-compose -f docker-compose.yml -f docker-compose-devel.yml run pki-alpine
#   docker-compose -f docker-compose.yml -f docker-compose-devel.yml run pki.base
---
version: '3.3'
services:
  pki:
    volumes:
      # - ./easy-rsa/easyrsa3:/usr/share/easy-rsa
      # - ./docker-entrypoint:/docker-entrypoint
      # 親ディレクトリが開発作業用
      - ..:/code
      - ../data:/easyrsa

  pki-alpine:
    volumes:
      # - ./easy-rsa/easyrsa3:/usr/share/easy-rsa
      # - ./docker-entrypoint:/docker-entrypoint
      # 親ディレクトリが開発作業用
      - ..:/code
      - ../data:/easyrsa

  pki.base:
    image: $BASE_IMAGE
    environment:
      EASYRSA_PKI: /easyrsa/pki
    volumes:
      - ./easy-rsa/easyrsa3:/usr/share/easy-rsa
      - ./docker-entrypoint:/docker-entrypoint
      # 親ディレクトリが開発作業用
      - ..:/code
      - ../data:/easyrsa
